# pandas.DataFrame.corr

DataFrame.corr(method='pearson', min_periods=1)

  Compute pairwise correlation of columns, excluding NA/null values.

  Parameters
    method{‘pearson’, ‘kendall’, ‘spearman’} or callable

      Method of correlation:

      - pearson : standard correlation coefficient

      - kendall : Kendall Tau correlation coefficient

      - spearman : Spearman rank correlation

      - callable: callable with input two 1d ndarrays

          and returning a float. Note that the returned matrix from corr will have 1 along the diagonals and will be symmetric regardless of the callable’s behavior.

    min_periods int, optional

      Minimum number of observations required per pair of columns to have a valid result. Currently only available for Pearson and Spearman correlation.

  Returns
    DataFrame

      Correlation matrix.

  See also

  `DataFrame.corrwith`

    Compute pairwise correlation with another DataFrame or Series.

  `Series.corr`

    Compute the correlation between two Series.

  Examples

      >>> def histogram_intersection(a, b):
      ...     v = np.minimum(a, b).sum().round(decimals=1)
      ...     return v
      >>> df = pd.DataFrame([(.2, .3), (.0, .6), (.6, .0), (.2, .1)],
      ...                   columns=['dogs', 'cats'])
      >>> df.corr(method=histogram_intersection)
            dogs  cats
      dogs   1.0   0.3
      cats   0.3   1.0